## ESourceList

ESourceList —

## Synopsis

                        ESourceListPrivate;
    ESourceList*        e_source_list_new                   (void);
    ESourceList*        e_source_list_new_for_gconf         (GConfClient *client,
                                                             const char *path);
    ESourceList*        e_source_list_new_for_gconf_default (const char *path);
    GSList*             e_source_list_peek_groups           (ESourceList *list);
    ESourceGroup*       e_source_list_peek_group_by_uid     (ESourceList *list,
                                                             const char *uid);
    ESourceGroup*       e_source_list_peek_group_by_name    (ESourceList *list,
                                                             const char *name);
    ESource*            e_source_list_peek_source_by_uid    (ESourceList *list,
                                                             const char *uid);
    ESource*            e_source_list_peek_source_any       (ESourceList *list);
    gboolean            e_source_list_add_group             (ESourceList *list,
                                                             ESourceGroup *group,
                                                             int position);
    gboolean            e_source_list_remove_group          (ESourceList *list,
                                                             ESourceGroup *group);
    gboolean            e_source_list_remove_group_by_uid   (ESourceList *list,
                                                             const char *uid);
    gboolean            e_source_list_remove_source_by_uid  (ESourceList *list,
                                                             const char *uidj);
    gboolean            e_source_list_sync                  (ESourceList *list,
                                                             GError **error);

## Description

## Details

### ESourceListPrivate

    typedef struct _ESourceListPrivate ESourceListPrivate;

### e_source_list_new ()

    ESourceList*        e_source_list_new                   (void);

Returns : |

### e_source_list_new_for_gconf ()

    ESourceList*        e_source_list_new_for_gconf         (GConfClient *client,
                                                             const char *path);

`client` : |
`path` : |
Returns : |

### e_source_list_new_for_gconf_default ()

    ESourceList*        e_source_list_new_for_gconf_default (const char *path);

`path` : |
Returns : |

### e_source_list_peek_groups ()

    GSList*             e_source_list_peek_groups           (ESourceList *list);

`list` : |
Returns : |

### e_source_list_peek_group_by_uid ()

    ESourceGroup*       e_source_list_peek_group_by_uid     (ESourceList *list,
                                                             const char *uid);

`list` : |
`uid` : |
Returns : |

### e_source_list_peek_group_by_name ()

    ESourceGroup*       e_source_list_peek_group_by_name    (ESourceList *list,
                                                             const char *name);

`list` : |
`name` : |
Returns : |

### e_source_list_peek_source_by_uid ()

    ESource*            e_source_list_peek_source_by_uid    (ESourceList *list,
                                                             const char *uid);

`list` : |
`uid` : |
Returns : |

### e_source_list_peek_source_any ()

    ESource*            e_source_list_peek_source_any       (ESourceList *list);

`list` : |
Returns : |

### e_source_list_add_group ()

    gboolean            e_source_list_add_group             (ESourceList *list,
                                                             ESourceGroup *group,
                                                             int position);

`list` : |
`group` : |
`position` : |
Returns : |

### e_source_list_remove_group ()

    gboolean            e_source_list_remove_group          (ESourceList *list,
                                                             ESourceGroup *group);

`list` : |
`group` : |
Returns : |

### e_source_list_remove_group_by_uid ()

    gboolean            e_source_list_remove_group_by_uid   (ESourceList *list,
                                                             const char *uid);

`list` : |
`uid` : |
Returns : |

### e_source_list_remove_source_by_uid ()

    gboolean            e_source_list_remove_source_by_uid  (ESourceList *list,
                                                             const char *uidj);

`list` : |
`uidj` : |
Returns : |

### e_source_list_sync ()

    gboolean            e_source_list_sync                  (ESourceList *list,
                                                             GError **error);

`list` : |
`error` : |
Returns : |